{ config, lib, pkgs, user, ... }:

{
  programs.zsh = {
    enable = true;
    enableAutosuggestions = true;
    enableCompletion = true;
    history.size = 10000;

    sessionVariables = {
      ZSH_AUTOSUGGEST_HIGHLIGHT_STYLE = "fg=10";
    };

    shellAliases = {
      ls = "exa --group-directories-first --git";
      neovide = "neovide --multigrid";
    };
  };
}
